<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org" lang="en">
<head>
    <title th:text="${title}"></title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">

    <!-- fonts -->
    <link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>
    <link th:href="@{/css/main.css}" rel="stylesheet" type='text/css'>
</head>
<body>
<section th:insert="fragments/menu :: menu"></section>
<section th:insert="fragments/header :: header"></section>
<section th:insert="fragments/posts :: postBlock"></section>
<div class="container">
    <div class="row mx-auto my-5">
        <div class="col-lg-8 col-md-10 mx-auto">
            <form th:action="@{/categories/add}" name="categoryForm" method="post" onsubmit="return validate()">
                    <div class="mb-3">
                        <label for="name">Name:</label>
                        <input type="text" id="name" name="name" class="form-control">
                    </div>
                    <div class="mb-3">
                        <label for="description">Description:</label>
                        <textarea id="description"  name="description" class="form-control"></textarea>
                    </div>
                    <button type="submit" class="btn btn-primary mt-3" >Add Category</button>
            </form>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
<script>
    function validate(){
        var x = document.forms["categoryForm"]["name"].value;

        if (x.length === 0) {
            alert("Name should be filled!");
            return false;
        }

    }
</script>
</body>
</html>